services:
  alldebrid-symlink-sync:
    container_name: alldebrid-symlink-sync
    build: .
    user: "1000:1000"
    volumes:
      - /home/vince413/Alldebrid-Rclone/mount:/home/vince413/Alldebrid-Rclone/mount:ro
      - /home/vince413/alldebrid-symlinks:/home/vince413/alldebrid-symlinks
    environment:
      - WEBDAV_ROOT=/mnt/mount
      - SYMLINK_ROOT=/mnt/symlinks
      - IGNORED_EXTENSIONS=.nfo,.txt,.srt
      - MIN_SIZE=10485760
      - MAX_WORKERS=8
      - MAX_DEPTH=2
    restart: unless-stopped
